## libguestfs 1.18.1

=== debian/changelog ===
libguestfs (1:1.18.1-1+deb7u2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Don't build gobject-introspection
  * The correct ruby 1.8 rake ("rake" instead of "rake1.8")
  * Don't build bindings for Python 2.5, Python 3
  * dh_ocaml: workaround for #636906

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 May 2013 13:31:50 +0200

libguestfs (1:1.18.1-1+deb7u2) testing; urgency=low

  * Make sure that a build of the library that contains FUSE support is
    installed. Thanks to Holger Levsen for spotting this. (Closes:
    #702624)
  * Fixed FTBFS on wheezy by adding upstream patch for changed gjs
    behaviro. This only affects the gobject-introspection tests.

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Mar 2013 15:55:48 +0100

libguestfs (1:1.18.1-1+deb7u1) testing; urgency=low

  * [3ad62ed] Removed useless dh_python* overrides (Closes: #681587)
  * [c43317d] Removed useless, unused patches that were included in the
    package by accident. Added patch that replaces diff with diffutils in
    package list (Closes: #684885)

 -- Hilko Bengen <bengen@debian.org>  Thu, 06 Sep 2012 11:44:14 +0200

libguestfs (1:1.18.1-1) unstable; urgency=low

  * New upstream version
  * [9449d4e] Updated watch file
  * [a8bb722] Added a method for determining available Ruby versions at
    build time
  * [9b63f09] rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Mon, 11 Jun 2012 08:32:27 +0200

libguestfs (1:1.18.0-1) unstable; urgency=low

  * New upstream version
  * [e839f2b] Added gettext-ocaml build dependency
  * [8e29504] Rebased patch queue, added several patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 24 May 2012 00:21:37 +0200

libguestfs (1:1.16.23-1) unstable; urgency=low

  * New upstream version
  * [33efe9d] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Sat, 19 May 2012 15:16:38 +0200

libguestfs (1:1.16.22-1) unstable; urgency=low

  * New upstream version
  * [8cc5ad4] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Mon, 14 May 2012 22:58:16 +0200

libguestfs (1:1.16.21-1) unstable; urgency=low

  * New upstream version
  * Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Mon, 07 May 2012 18:59:40 +0200

libguestfs (1:1.16.20-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 25 Apr 2012 22:35:23 +0200

libguestfs (1:1.16.19-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Apr 2012 22:04:09 +0200

libguestfs (1:1.16.18-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 13 Apr 2012 20:14:25 +0200

libguestfs (1:1.16.17-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 12 Apr 2012 07:32:30 +0200

libguestfs (1:1.16.16-1) unstable; urgency=low

  * New upstream version
  * [9e988bc] rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Wed, 11 Apr 2012 21:36:46 +0200

libguestfs (1:1.16.15-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Apr 2012 23:30:34 +0200

libguestfs (1:1.16.13-1) unstable; urgency=low

  * New upstream version
  * [007ca10] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Mar 2012 14:11:46 +0200

libguestfs (1:1.16.12-1) unstable; urgency=low

  * New upstream version
  * [0e321b7] Added configure parameter for setting JNI installation
    directory
  * [8b63b64] Rebased patch queue, added out-of-tree build fix for
    Java and appliance

 -- Hilko Bengen <bengen@debian.org>  Tue, 27 Mar 2012 19:49:02 +0200

libguestfs (1:1.16.10-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Tue, 13 Mar 2012 17:50:15 +0100
