## libguestfs 1.18.5

=== debian/changelog ===
libguestfs (1:1.18.5-2) unstable; urgency=low

  * [00d27da] Call dh_python2, dh_python3 with correct package name
    (Closes: #681587)

 -- Hilko Bengen <bengen@debian.org>  Sun, 15 Jul 2012 12:44:59 +0200

libguestfs (1:1.18.5-1) unstable; urgency=low

  * New upstream version
  * [ba15957] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Tue, 10 Jul 2012 23:56:02 +0200

libguestfs (1:1.18.4-2) unstable; urgency=low

  * [f0017a7] Added change to podwrapper.sh.in to pass a specific date to
    pod2man which should avoid multiarch co-installability problems
    (Closes: #680885, #680886)
  * [3b4844a] Fixed versioned Breaks/Replaces statement to include epoch
    (Closes: #678977)

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Jul 2012 19:27:33 +0200

libguestfs (1:1.18.4-1) unstable; urgency=low

  * [3fc6f7c] Imported Upstream version 1.18.4
  * [90f05f5] Rebased patch queue; dropped libruby detection fix which has
    been picked up upstream

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Jul 2012 00:04:46 +0200

libguestfs (1:1.18.3-1) unstable; urgency=low

  * New upstream version
  * [9154622] Rebased patch queue; added libruby detection fix

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Jun 2012 22:04:47 +0200

libguestfs (1:1.18.2-2) unstable; urgency=low

  * [f094ece] Added Replaces statement (Closes: #678977). One of these
    days I will learn how to properly move files between packages.
  * [1cde91e] Moved installation of default configuration to the last
    position. This should fix the "libguestfs: error: FUSE not supported"
    problem reported by SharkWipf on IRC.

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Jun 2012 19:15:21 +0200

libguestfs (1:1.18.2-1) unstable; urgency=low

  * New upstream version
  * [95e1b8e] Rebased and cleaned up patch queue
  * [0d5c22c] Made watch file more flexible
  * [c342e50] Bumped Debhelper compatibility level to 9
  * [864d294] Disabled strict checking for format-security related errors
    in test programs
  * [a8d9101] Adjusted installation directories (multi-arch support)
  * [042a7e2] Moved libguestfs-test-tool and supermin appliance handling
    to libguestfs-tools package
  * [1764d50] Added Multi-Arch headers

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Jun 2012 12:58:19 +0200
