=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, aptitude,
+Build-Depends: debhelper (>= 9~), autotools-dev, aptitude,
   po-debconf, bash-completion,
   febootstrap (>= 3.2),
   libreadline-dev, libaugeas-dev, libselinux1-dev, libhivex-dev, libvirt-dev,
@@ -15,13 +15,14 @@
   genisoimage, pkg-config,
   erlang-dev,
   dh-ocaml, ocaml, ocaml-findlib, libpcre-ocaml-dev, libgettext-ocaml-dev,
-  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~),
+  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
   default-jdk,
   gem2deb, rake,
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse-utils,
+  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev,
   netpbm, icoutils
 Homepage: http://libguestfs.org
 Standards-Version: 3.9.3
@@ -32,6 +33,7 @@
 Package: guestfish
 Section: admin
 Architecture: i386 amd64
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: guest disk image management system - file system shell
  The libguestfs library allows accessing and modifying guest disk
@@ -73,6 +75,7 @@
 Package: libguestfs-dev
 Section: libdevel
 Architecture: i386 amd64
+Multi-Arch: same
 Depends: libguestfs0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libguestfs0 (<< 1:1.14.9-1~)
 Description: guest disk image management system - development headers
@@ -84,6 +87,8 @@
 Package: libguestfs0
 Section: libs
 Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
   febootstrap (>= 3.2),
   qemu-kvm (>= 0.13),
@@ -161,6 +166,8 @@
  libsys-virt-perl, libguestfs-perl (= ${binary:Version}),
  libwin-hivex-perl,
  libintl-perl, libstring-shellquote-perl
+Replaces: libguestfs0 (<< 1:1.18.2-1~)
+Breaks: libguestfs0 (<< 1:1.18.2-1~)
 Description: guest disk image management system - tools
  The libguestfs library allows accessing and modifying guest disk
  images.
@@ -172,6 +179,7 @@
 Package: libguestfs0-dbg
 Section: debug
 Architecture: i386 amd64
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version})
 Description: guest disk image management system - debug symbols
  The libguestfs library allows accessing and modifying guest disk
@@ -266,3 +274,40 @@
  images.
  .
  This package contains Ruby bindings to libguestfs.
+
+Package: libguestfs-gobject-1.0-0
+Section: libs
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libguestfs0 (<< 1:1.14.9-1~)
+Description: guest disk image management system - GObject bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the GObject bindings.
+
+Package: libguestfs-gobject-dev
+Section: libdevel
+Architecture: i386 amd64
+Multi-Arch: same
+Depends: libguestfs-gobject-1.0-0 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libguestfs0 (<< 1:1.14.9-1~)
+Description: guest disk image management system - GObject development headers
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the development headers for the GObject bindings.
+
+Package: gir1.2-guestfs-1.0
+Section: introspection
+Architecture: i386 amd64
+Multi-Arch: same
+Depends: libguestfs-gobject-1.0-0 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
+Conflicts: libguestfs0 (<< 1:1.14.9-1~)
+Description: guest disk image management system - GObject introspection files
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the GObject introspection data.
