=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # export DH_VERBOSE=1
 
-PYTHONS        := $(filter-out python2.5, $(shell pyversions --installed))
+PYTHONS        := $(filter-out python2.5, $(shell pyversions --installed; py3versions --installed))
 PYTHON_DEFAULT := $(shell pyversions --default)
 RUBIES         := $(shell find /usr/bin/ -name ruby1\* | xargs -n1 readlink -f | xargs -n1 basename)
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
@@ -36,9 +36,9 @@
 		--enable-install-daemon \
 		--with-java-home=/usr/lib/jvm/default-java \
 		RUBY=$(RUBY_DEFAULT) \
-		RAKE=rake \
+		RAKE=$(patsubst ruby%,rake%,$(RUBY_DEFAULT)) \
 		PYTHON=$(PYTHON_DEFAULT) \
-		JNI_INSTALL_DIR=/usr/lib/jni
+		JNI_INSTALL_DIR='$${libdir}/jni'
 
 	set -e; for v in $(patsubst ruby%,%,$(filter-out $(RUBY_DEFAULT), $(RUBIES))) \
 	; do \
@@ -85,7 +85,8 @@
 		$(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
 		$(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
 	; do \
-		dh_auto_test --builddir=$(CURDIR)/debian/build-$$p ; \
+		dh_auto_test --builddir=$(CURDIR)/debian/build-$$p \
+			-- CFLAGS="$(filter-out -Werror=format-security,$(CFLAGS))"; \
 	done
 
 override_dh_auto_install:
@@ -126,19 +127,19 @@
 	erlang-depends -perlang-guestfs
 	dh_install
 
+# Workaround for python3-defaults < 3.2~b2-1
+# ("do not rename .so files outside dist-packages directory")
+override_dh_python3:
+	dh_python3 -p python-guestfs
+override_dh_python2:
+	dh_python2 -p python-guestfs -V 2.6-
+
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/jni
 
-override_dh_python2:
-	dh_python2 -V 2.6-
-
-override_dh_ocaml:
-	dh_ocaml
-	find debian/libguestfs-ocaml-dev -type d -or -type f | xargs chmod g-w
-
 %:
 	dh $@ \
 	   --without=python-support \
-	   --with=autotools-dev,ocaml,python2,bash-completion,ruby
+	   --with=autotools-dev,ocaml,python2,python3,bash-completion,ruby,gir
