=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://libguestfs.org/download/([\d\.]*)-stable/libguestfs-([\d\.]*)\.tar\.gz
