## libguestfs 1.18.10

=== debian/changelog ===
libguestfs (1:1.18.10-1ubuntu2) raring; urgency=low

  * Further fixes to make it build.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 22:42:29 +0000

libguestfs (1:1.18.10-1ubuntu1) raring; urgency=low

  * Fix ftbfs against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 16:27:18 +0000

libguestfs (1:1.18.10-1) unstable; urgency=low

  * New upstream version
  * [eb40dbf] Enabled gtk-doc
  * [8776e09] Fixed JNI directory for dh_makeshlibs call (multiarch)
  * [f081f2c] dh_install --fail-missing
  * [abeca26] guestfish: Moved installation of bash-completion snippet to
    .install file
  * [7310675] ocaml: Removed .owner file so dh_install does not fall over
    it
  * [13f9195] libguestfs0: Added l18n files
  * [a0b75b7] libguestfs-gobject-dev: Added missing header files
  * [b88c45d] libguestfs-tools: Added example output files and schema for
    virt-inspector
  * [4d38639] Rebased patch queue, changed mode of message catalog files
    (*.mo) to 0644
  * [18d5bbe] Added Japanese debconf translation (Closes: #691944)

 -- Hilko Bengen <bengen@debian.org>  Wed, 31 Oct 2012 21:02:51 +0100

libguestfs (1:1.18.8-1) unstable; urgency=low

  * New upstream version
  * [fccad0e] Rebased patch queue: Disabling FUSE tests is not needed;
    upstream has picked up the diff->diffutils change.
  * [92a48b1] Renamed --with-java-home -> --with-java, following change in
    configure

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Sep 2012 13:08:32 +0200

libguestfs (1:1.18.6-2) unstable; urgency=low

  * [e39f17c] Added patch that reverts upstream sgabios change
  * [1baf200] Added patch that replaces diff with diffutils in package list

 -- Hilko Bengen <bengen@debian.org>  Sat, 18 Aug 2012 13:29:29 +0200

libguestfs (1:1.18.6-1) unstable; urgency=low

  * New upstream version
  * [6e1f12c] Rebased patch queue

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 Aug 2012 20:57:40 +0200

libguestfs (1:1.18.5-3) unstable; urgency=low

  * [de8c07e] Added another multiarch fix: supermin appliance stays out of
    multiarch directories
  * [f66394b] Use dh-autoreconf

 -- Hilko Bengen <bengen@debian.org>  Thu, 19 Jul 2012 23:13:47 +0200
