=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: libguestfs
 Section: libs
 Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9~), autotools-dev, aptitude,
+  dh-autoreconf,
   po-debconf, bash-completion,
   febootstrap (>= 3.2),
   libreadline-dev, libaugeas-dev, libselinux1-dev, libhivex-dev, libvirt-dev,
@@ -22,7 +24,7 @@
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse-utils,
-  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev,
+  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev, gtk-doc-tools,
   netpbm, icoutils
 Homepage: http://libguestfs.org
 Standards-Version: 3.9.3
