=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(DEFAULT_CONFIG_FLAGS) \
 	--disable-daemon --disable-fuse \
 	--disable-ocaml --disable-perl \
-	--disable-erlang --with-java-home=no \
+	--disable-erlang --with-java=no \
 	--disable-gobject
 
 override_dh_auto_clean:
@@ -34,7 +34,7 @@
 		-- \
 		$(DEFAULT_CONFIG_FLAGS) \
 		--enable-install-daemon \
-		--with-java-home=/usr/lib/jvm/default-java \
+		--with-java=/usr/lib/jvm/default-java \
 		RUBY=$(RUBY_DEFAULT) \
 		RAKE=$(patsubst ruby%,rake%,$(RUBY_DEFAULT)) \
 		PYTHON=$(PYTHON_DEFAULT) \
@@ -108,6 +108,8 @@
 # W: libguestfs-perl: script-not-executable usr/lib/perl5/Sys/bindtests.pl
 	rm -f debian/tmp/usr/lib/perl5/Sys/bindtests.pl
 
+	rm -f debian/tmp/usr/lib/ocaml/stublibs/*.so.owner
+
 # Workaround for:
 # E: libguestfs-dev: non-empty-dependency_libs-in-la-file usr/lib/libguestfs.la
 	find debian/tmp -name *.la | xargs sed -i '/^dependency_libs/ s/^/# /'
@@ -125,7 +127,9 @@
 		debian/tmp/usr/lib/guestfs/supermin.d/
 
 	erlang-depends -perlang-guestfs
-	dh_install
+	# TODO re-enable, needs fixing installing translated man-pages.
+	#dh_install --fail-missing
+	dh_install --list-missing
 
 # Workaround for python3-defaults < 3.2~b2-1
 # ("do not rename .so files outside dist-packages directory")
@@ -137,9 +141,9 @@
 # Workaround for Lintian warning
 # "{pre,post}inst-has-useless-call-to-ldconfig"
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/jni
+	dh_makeshlibs -X/usr/lib/*/jni
 
 %:
 	dh $@ \
 	   --without=python-support \
-	   --with=autotools-dev,ocaml,python2,python3,bash-completion,ruby,gir
+	   --with=autoreconf,ocaml,python2,python3,bash-completion,ruby,gir
