## libguestfs 1.22.4

=== debian/changelog ===
libguestfs (1:1.22.4-1ubuntu1) saucy-proposed; urgency=low

  * Add debian/patches/0000-Fix-udev-startup.patch: Fix udevd startup in
    appliances. Patch backported from upstream git. (LP: #1243190)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Nov 2013 07:36:58 +0100

libguestfs (1:1.22.4-1) unstable; urgency=low

  * New upstream version
  * Added symbols file for libguestfs0

 -- Hilko Bengen <bengen@debian.org>  Wed, 10 Jul 2013 18:53:24 +0200

libguestfs (1:1.22.3-1) unstable; urgency=low

  * New upstream version
  * Updated patch queue
  * Fix dh_python3 call to generate correct dependencies for
    python3-guestfs. Thanks to Scott Kitterman. (Closes: #711928)
  * debian/watch: Do not consider development versions
  * Removed support for parallel builds since it caused make 3.81 to hang
    (#714072)

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Jun 2013 23:12:28 +0200

libguestfs (1:1.22.2-1) unstable; urgency=low

  * New upstream version
  * Updated patch queue
    - Drop SELinux mountpoint fix (integrated upstream)
    - revert to symlink-based hack for building Perl bindings
    - Disable gnulib tests by default
  * Avoid installing (Perl) bindtests
  * Added separate package for Python 3 bindings
  * Added parallel build support
  * Changed dependencies to qemu-system-x86
  * Updated exclude list for dh_makeshlibs
  * Updated year in debian/copyright

 -- Hilko Bengen <bengen@debian.org>  Mon, 03 Jun 2013 23:49:41 +0200

libguestfs (1:1.21.40-1) experimental; urgency=low

  * New upstream development version
  * Updated patch queue
  * Disabled unreliable test-utimens, test-futimens (gnulib)
  * Added various fixes for building Perl and Python bindings
    - Correct paths for building, testing Perl shared library
    - Build Python3 extensions with PEP-3149-compliant suffix
  * rules cleanup

 -- Hilko Bengen <bengen@debian.org>  Sat, 25 May 2013 14:41:18 +0200

libguestfs (1:1.21.39-1) experimental; urgency=low

  * New upstream development version
  * Updated patch queue
    - Use pkg-config for Python (proper fix for #707141)
    - Removed ntfsprogs from packagelist (Closes: #708520)
    - Changed selinux mountpoint (CLoses: #707217)
    - Fixed build with --disable-appliance
  * Tighten ntfs-3g dependency, thanks to Bastien ROUCARIÈS (Closes:
    #708520)
  * Depend on qemu-system instead the obsolete qemu-kvm.

 -- Hilko Bengen <bengen@debian.org>  Sun, 19 May 2013 19:24:35 +0200

libguestfs (1:1.21.35-1) experimental; urgency=low

  * New upstream development version
  * febootstrap -> supermin transition
  * Dropped patch for building the Perl bindings out-of-tree: A different
    solution has been adopted upstream

 -- Hilko Bengen <bengen@debian.org>  Wed, 01 May 2013 13:08:31 +0200

libguestfs (1:1.21.33-1) experimental; urgency=low

  * New upstream development version

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Apr 2013 13:05:38 +0200

libguestfs (1:1.21.32-1) experimental; urgency=low

  * New upstream development version
  * Adapted watch file for development versions
  * Depend on "real" febootstrap 3 for now

 -- Hilko Bengen <bengen@debian.org>  Tue, 23 Apr 2013 22:28:49 +0200

libguestfs (1:1.21.31-1) experimental; urgency=low

  * New upstream development version
  * Added guestunmount, bash completion rules that have been split and
    moved to /usr/share.

 -- Hilko Bengen <bengen@debian.org>  Fri, 19 Apr 2013 08:13:15 +0200

libguestfs (1:1.20.6-3) unstable; urgency=low

  * Really enabled gtk-doc

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Apr 2013 23:32:13 +0200

libguestfs (1:1.20.6-2) unstable; urgency=low

  * Cleaned up misplaced and duplicate bash completion conffiles
    (Closes: #703396).

    In 1:1.14.8-3, the dh_bash-completion file was moved to from
    libguestfs-tools to guestfish. In 1:1.18.10-1, the dh_bash-completion
    file was replaced with an entry in guestfish.install which caused the
    installed file to be renamed.

    Thanks to Paul Wise for spotting this.

 -- Hilko Bengen <bengen@debian.org>  Wed, 17 Apr 2013 21:27:43 +0200

libguestfs (1:1.20.6-1) unstable; urgency=low

  * New upstream version
  * Dropped patches that have been integrated upstream
  * Set INSTALLDIRS for installing Ruby bindings

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Apr 2013 08:28:47 +0200

libguestfs (1:1.20.4-1) unstable; urgency=low

  * New upstream version
  * Dropped patches that have been integrated upstream. The removal of
    -Werror for Ruby bindings seems no longer necessary.

 -- Hilko Bengen <bengen@debian.org>  Wed, 13 Mar 2013 20:23:01 +0100

libguestfs (1:1.20.3-2) unstable; urgency=low

  * Added libguestfs-make-fixed-appliance to libguestfs-tools
  * Added related udev rules to guestfsd

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Mar 2013 20:41:41 +0100

libguestfs (1:1.20.3-1) unstable; urgency=low

  * New upstream version
  * Dropped patches that were integrated upstream.
  * Increased minimum version of febootstrap to 3.20 since earlier
    versions did not support --copy-kernel
  * Added localized manpages (po4a build-dependency, out-of-tree build fix)

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 Mar 2013 00:13:41 +0100

libguestfs (1:1.20.2-1) unstable; urgency=low

  * New upstream version
  * Make sure that extconf.rb is generated
  * Updated patch queue

 -- Hilko Bengen <bengen@debian.org>  Tue, 19 Feb 2013 23:30:01 +0100

libguestfs (1:1.20.1-2) unstable; urgency=low

  * Fixed Build-Dependencies: The fuse-utils package is no longer
    available (Closes: #698151)

 -- Hilko Bengen <bengen@debian.org>  Mon, 14 Jan 2013 18:48:54 +0100

libguestfs (1:1.20.1-1) unstable; urgency=low

  * New upstream version
  * Rebased patch queue: added fixes for tests, don't install Erlang
    bindings to multiarch directory, fix appliance packagelist
  * Added Lua bindings
  * Updated Build-Depends
  * Simplified dh_install target
  * Install guestfsd manpage


