=== debian/control ===
--- 
+++ 
@@ -7,27 +7,30 @@
 Build-Depends: debhelper (>= 9~), autotools-dev, aptitude,
   dh-autoreconf,
   po-debconf, bash-completion,
-  febootstrap (>= 3.2),
+  supermin,
   libreadline-dev, libaugeas-dev, libselinux1-dev, libhivex-dev, libvirt-dev,
   libmagic-dev, libncurses5-dev, libpcre3-dev, libxml2-dev,
   libconfig-dev, libc-dev-bin, systemtap-sdt-dev,
+  libcap-dev, libacl1-dev, libyajl-dev,
   automake, autoconf, libtool,
   gperf, libxml2-utils,
-  qemu-kvm (>= 0.13),
+  qemu-system-x86 [i386 amd64],
   genisoimage, pkg-config,
   erlang-dev,
-  dh-ocaml, ocaml, ocaml-findlib, libpcre-ocaml-dev, libgettext-ocaml-dev,
+  dh-lua,
+  dh-ocaml, ocaml-nox, ocaml-findlib, libpcre-ocaml-dev, libgettext-ocaml-dev,
   python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
   default-jdk,
   gem2deb, rake,
   libtest-pod-coverage-perl, libextutils-command-perl, libintl-perl, libtest-pod-perl,
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
-  libfuse-dev, fuse-utils,
+  libfuse-dev, fuse,
   libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev, gtk-doc-tools,
-  netpbm, icoutils
+  netpbm, icoutils,
+  po4a,
 Homepage: http://libguestfs.org
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libguestfs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libguestfs.git
 XS-Ruby-Versions: all
@@ -92,8 +95,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  febootstrap (>= 3.2),
-  qemu-kvm (>= 0.13),
+  supermin,
+  qemu-system-x86 [i386 amd64],
   bsdmainutils,
   btrfs-tools,
   cryptsetup,
@@ -105,8 +108,7 @@
   iproute,
   libaugeas0,
 # nilfs2-tools,
-  ntfs-3g,
-  ntfs-3g (>> 1:2011.10.9AR.1-4~) | ntfsprogs,
+  ntfs-3g (>> 1:2012.1.15AR.5-2.1~),
   reiserfsprogs,
   udev,
   vim-tiny,
@@ -127,7 +129,8 @@
   strace,
   xfsprogs,
   zerofree,
-  netpbm, icoutils
+  netpbm, icoutils,
+  ldmtool,
 Description: guest disk image management system - shared library
  The libguestfs library allows accessing and modifying guest disk
  images. It offers the following features, among many others:
@@ -201,6 +204,17 @@
  .
  This package contains the Python bindings.
  
+Package: python3-guestfs
+Section: python
+Architecture: i386 amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Breaks: python-guestfs (<< 1:1.22.2-1~)
+Description: guest disk image management system - Python 3 bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Python 3 bindings.
+
 Package: libguestfs-perl
 Section: perl
 Architecture: i386 amd64
@@ -300,12 +314,12 @@
  The libguestfs library allows accessing and modifying guest disk
  images.
  .
- This package contains the development headers for the GObject bindings.
+ This package contains the development headers and documentation for
+ the GObject bindings.
 
 Package: gir1.2-guestfs-1.0
 Section: introspection
 Architecture: i386 amd64
-Multi-Arch: same
 Depends: libguestfs-gobject-1.0-0 (= ${binary:Version}), ${gir:Depends}, ${misc:Depends}
 Conflicts: libguestfs0 (<< 1:1.14.9-1~)
 Description: guest disk image management system - GObject introspection files
@@ -313,3 +327,16 @@
  images.
  .
  This package contains the GObject introspection data.
+
+Package: lua-guestfs
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: ${lua:Provides}
+XB-Lua-Versions: ${lua:Versions}
+Description: guest disk image management system - Lua bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Lua bindings.
